Zeitgeist.DataSourceRegistry – zeitgeist-2.0 Reference Manual

# DataSourceRegistry

## Object Hierarchy:

## Description:

public class DataSourceRegistry : QueuedProxyWrapper

Query the Zeitgeist Data-Source Registry extension

The Zeitgeist engine maintains a publicly available list of recognized data-sources (components inserting information into Zeitgeist). ZeitgeistDataSourceRegistry is used to register new data sources, get information about them and gives the ability to enable or disable the data sources.

Namespace: Zeitgeist
Package: zeitgeist-2.0

## Content:

### Creation methods:

- public DataSourceRegistry ()

### Methods:

- protected override void on_connection_established ()
- protected override void on_connection_lost ()
- public async `GenericArray`<DataSource> get_data_sources (`Cancellable`? cancellable = null) throws `Error`
- public async DataSource get_data_source_from_id (`string` unique_id, `Cancellable`? cancellable = null) throws `Error`
- public async `bool` register_data_source (DataSource data_source, `Cancellable`? cancellable = null) throws `Error`
- public async void set_data_source_enabled (`string` unique_id, `bool` enabled, `Cancellable`? cancellable = null) throws `Error`

### Signals:

- public signal void source_disconnected (DataSource data_source)
- public signal void source_enabled (`string` unique_id, `bool` enabled)
- public signal void source_registered (DataSource data_source)

### Inherited Members:

All known members inherited from class Zeitgeist.QueuedProxyWrapper

- proxy_created
- is_connected
- proxy_acquired

- proxy_unavailable
- process_queued_methods
- name_owner_changed

- on_connection_established
- on_connection_lost
- wait_for_proxy

All known members inherited from class GLib.Object

- @new
- newv
- new_valist
- get_type
- get_class
- @ref
- unref
- ref_sink
- weak_ref
- weak_unref
- add_weak_pointer
- remove_weak_pointer

- @get
- @set
- get_property
- set_property
- get_data
- set_data
- set_data_full
- steal_data
- get_qdata
- set_qdata
- set_qdata_full
- steal_qdata

- freeze_notify
- thaw_notify
- dispose
- constructed
- notify_property
- connect
- disconnect
- add_toggle_ref
- remove_toggle_ref
- bind_property
- notify
- ref_count